<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myRequirementWorkStatusLabel" jhiTranslate="pcidssApp.requirementWorkStatus.home.createOrEditLabel">Create or edit a Requirement Work Status</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!requirementWorkStatus.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="requirementWorkStatus.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.requirementWorkStatus.status" for="field_status">Status</label>
            <input type="text" class="form-control" name="status" id="field_status"
                [(ngModel)]="requirementWorkStatus.status"  />
        </div>

        <div class="form-group">
            <label jhiTranslate="pcidssApp.requirementWorkStatus.assignById" for="field_assignById">Assign By Id</label>
            <select class="form-control" id="field_assignById" name="assignById" [(ngModel)]="requirementWorkStatus.assignById" >
                <option [ngValue]="null"></option>
                <option [ngValue]="userOption.id === requirementWorkStatus.assignById?.id ? requirementWorkStatus.assignById : userOption" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.login}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="pcidssApp.requirementWorkStatus.assignToId" for="field_assignToId">Assign To Id</label>
            <select class="form-control" id="field_assignToId" name="assignToId" [(ngModel)]="requirementWorkStatus.assignToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="userOption.id === requirementWorkStatus.assignToId?.id ? requirementWorkStatus.assignToId : userOption" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.login}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="pcidssApp.requirementWorkStatus.pcidssRequirementId" for="field_pcidssRequirementId">Pcidss Requirement Id</label>
            <select class="form-control" id="field_pcidssRequirementId" name="pcidssRequirementId" [(ngModel)]="requirementWorkStatus.pcidssRequirementId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="pcidssRequirementOption.id === requirementWorkStatus.pcidssRequirementId?.id ? requirementWorkStatus.pcidssRequirementId : pcidssRequirementOption" *ngFor="let pcidssRequirementOption of pcidssrequirements; trackBy: trackPcidssRequirementById">{{pcidssRequirementOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
